{ lib, ... }: {
  options.local.identity = {
    username = lib.mkOption {
      type        = lib.types.str;
      default     = "zoty";
      description = "Primary system username.";
    };

    fullName = lib.mkOption {
      type        = lib.types.str;
      default     = "Zoty";
      description = "Full display name used in git and similar tools.";
    };

    email = lib.mkOption {
      type        = lib.types.str;
      default     = "zotydev@gmail.com";
      description = "Primary email address.";
    };

    sshPublicKey = lib.mkOption {
      type        = lib.types.str;
      default     = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK8fKj0nQMJt9nnXbYgT4ggYuj6ieGCy6KL53frwoNHa";
      description = "Primary SSH public key.";
    };
  };
}
